/// <reference types="react" />
import { CalendarViews } from './enums';
import type { DateType, CalendarTheme, CalendarModes, CalendarState } from './types';
export interface CalendarContextType extends CalendarState {
    mode: CalendarModes;
    locale: string | ILocale;
    displayFullDays: boolean;
    minimumDate: DateType;
    maximumDate: DateType;
    firstDayOfWeek: number;
    theme?: CalendarTheme;
    setCalendarView: (value: CalendarViews) => void;
    onSelectDate: (date: DateType) => void;
    onSelectMonth: (month: number) => void;
    onSelectYear: (year: number) => void;
    onChangeMonth: (value: number) => void;
    onChangeYear: (value: number) => void;
}
declare const CalendarContext: import("react").Context<CalendarContextType>;
export declare const useCalendarContext: () => CalendarContextType;
export default CalendarContext;
//# sourceMappingURL=CalendarContext.d.ts.map